Subject: Re: 23.0.60; emacs switches focus to graphical frame when server-edit exits terminal frame

From: Gregor Zattler <[email-masked]>
Date: Wed, 25 Mar 2009 21:51:43 +0100

Hi Chong,
* Chong Yidong <[email-masked]> [24. Mär. 2009]:
>> When using emacs 23 in daemon mode some graphical emacs frame gets
>> fokus if an editing session on a terminal window which was initiated
>> via "emacsclient -t ..." is finished with C-x # (server-edit).  In
>> order to continue work in the terminal window I have to manually
>> switch back to the terminal window.
> 
> Sorry for the late response.  I haven't been able to reproduce this bug
> with metacity---closing an `emacsclient -t' client keeps the xterm
> window in focus.  This problem may be a quirk of the window managers you
> tried (xfce4 and icwwm-lite); I am not sure what Emacs can do
> differently to try to mitigate this.

O.k. I'll test it with other window managers.  ATM I don't have
time to do this but I will report back when I've done it.

In the meantime I discovered that emacs does switch
windows/fokus if the graphical emacs is started via 

emacsclient -c  filename

but not (or at least only in rare occasions) when started via

emacsclient -c -n  filename
               ^^

Perhaps this is helpful?

Ciao, Gregor
-- 
 -... --- .-. . -.. ..--.. ...-.-